#if defined _NoSteamManager_included
	#endinput
#endif

#define _NoSteamManager_included

/**
 * Check if clients usertype is legit.
 *
 * @param clients           The client index.
 *
 * @return                  True if valid, false otherwise.
 * @error                   Invalid client index, not connected or fake client.
 */
native bool NSM_IsPlayerSteam(int client);

/**
 * Retrieve clients usertype.
 *
 * @param clients           The client index.
 * @param type              The buffer to write to.
 * @param maxlength         The maximum buffer length.
 *
 * @return                  True on success, false otherwise.
 * @error                   Invalid client index, not connected or fake client.
 */
native bool NSM_GetPlayerType(int client, char[] type, int maxlength);


public SharedPlugin __pl_NoSteamManager =
{
	name = "NoSteamManager",
	file = "NoSteamManager_Connect.smx",

	#if defined REQUIRE_PLUGIN
		required = 1
	#else
		required = 0
	#endif
};

#if !defined REQUIRE_PLUGIN
	public void __pl_NoSteamManager_SetNTVOptional()
	{
		MarkNativeAsOptional("NSM_IsPlayerSteam");
		MarkNativeAsOptional("NSM_GetPlayerType");
	}
#endif
